﻿.smfSlider {
    max-width: 1100px;
    width: 100%;
    margin: auto;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    height: 480px;
    margin-top: 8px;
    margin-bottom: 8px;
}

.smfSlider__track {
    position: relative;
    width: 100%;
    height: 100%;
}

.smfSlider__slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    z-index: 1;
}

    .smfSlider__slide.active {
        opacity: 1;
        z-index: 2;
    }

    .smfSlider__slide img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.smfSlider__overlay {
    position: absolute;
    inset: 0;
    /*background: linear-gradient(to bottom, rgba(0,0,0,0.15), rgba(0,0,0,0.55));*/
    pointer-events: none;
}

.smfSlider__content {
    position: absolute;
    bottom: 20px;
    right: 20px;
    color: #fff;
    padding:8px;
    
    cursor:default;
}

.smfSlider__title {
    font-size: 23px;
    border-radius: 6px;
    padding: 2px 8px;
    width: unset;
    color: rgba(0, 0, 0, 0.6);
    color: white;
    background: rgb(0 0 0 / 30%);
    color: white;
    padding: 2px 8px;
    border-radius: 5px;
    display: inline-block;
    margin-bottom: 3px;
}
.smfSlider__desc {
    font-size: 15px;
    border-radius: 6px;
    background: linear-gradient(to bottom, rgb(255 255 255 / 15%), rgb(255 255 255 / 55%));
    padding: 2px 8px;
    width: unset;
    color: white;
    background: rgb(0 0 0 / 30%);
    color: white;
    padding: 2px 8px;
    border-radius: 5px;
}

.smfSlider__dots {
    position: absolute;
    bottom: 12px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
    z-index: 3;
}

.smfSlider__dot {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background: rgba(255,255,255,0.5);
    border: none;
    cursor: pointer;
}

    .smfSlider__dot.active {
        background: rgba(255,255,255,0.95);
    }


    /*///////////////media*/
@media only screen and (max-width:700px) {
    .smfSlider__slide {
        height: unset;
    }
    .smfSlider {
        height: 175px;
    }
    .smfSlider__title {
        font-size: 15px;        
    }
    .smfSlider__desc {
        font-size: 11px;
    }
    .smfSlider__content {
        right: 1px;
        padding: 3px;
    }
}

